Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#18897 - [perl-email-mime] conflicts with perl-email-mime-{creator,modifier}

Attached to Project: Community Packages
Opened by orbisvicis (orbisvicis) - Wednesday, 31 March 2010, 20:18 GMT
Last edited by Sergej Pupykin (sergej) - Thursday, 01 April 2010, 10:06 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
[perl-email-mime] already provides all the files/modules in both [perl-email-mime-creator] and [perl-email-mime-modifier]. Since the source urls of the PKGBUILDS differ, perhaps the modules from the latter two packages are somewhat "improved". Anyway, the previous [perl-email-mime] PKGBUILDs removed the conflicting files, up until pkgrel-3 - so there was no problem up till now.

Solution:
Either
* the perl-email-mime-{creator,modifier} packages should be deprecated and removed from dependency chains (i.e. bugzilla)
---- or ----
* the two "rm -f $pkgdir/..." lines should be uncommented in the [perl-email-mime] PKGBUILD

Additional info:
* package version(s)
community/perl-email-mime 1.903-3
community/perl-email-mime-creator 1.456-1
community/perl-email-mime-modifier 1.444-1

Other Stuff:
I thought this would have been caught sooner since (this) bugzilla must have the same dependencies.
This task depends upon

Closed by  Sergej Pupykin (sergej)
Thursday, 01 April 2010, 10:06 GMT
Reason for closing:  Fixed

Loading...